Package be.fgov.ehealth.consultrn.ssinhistory.core.v1

# Class SsinStatusType

java.lang.Object
be.fgov.ehealth.consultrn.ssinhistory.core.v1.SsinStatusType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:46+02:00", comments="JAXB RI v4.0.5") public class SsinStatusType extends Object implements Serializable
Status of an SSIN

Java class for SsinStatusType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SsinStatusType">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>string">
           <attribute name="Canceled" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="Replaces" type="{http://www.w3.org/2001/XMLSchema}string" />
         </extension>
       </simpleContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SsinStatusType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getReplaces()`
  Gets the value of the replaces property.
  `String`
  `getValue()`
  Gets the value of the value property.
  `Boolean`
  `isCanceled()`
  Gets the value of the canceled property.
  `void`
  `setCanceled(Boolean value)`
  Sets the value of the canceled property.
  `void`
  `setReplaces(String value)`
  Sets the value of the replaces property.
  `void`
  `setValue(String value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SsinStatusType

    public SsinStatusType()

- ## Method Details

  - ### getValue

    public String getValue()
    Gets the value of the value property.
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`

  - ### isCanceled

    public Boolean isCanceled()
    Gets the value of the canceled property.
    Returns:
      possible object is `Boolean`

  - ### setCanceled

    public void setCanceled(Boolean value)
    Sets the value of the canceled property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getReplaces

    public String getReplaces()
    Gets the value of the replaces property.
    Returns:
      possible object is `String`

  - ### setReplaces

    public void setReplaces(String value)
    Sets the value of the replaces property.
    Parameters:
      `value` - allowed object is `String`